New WANTLIB formats in ports

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

New WANTLIB formats in ports

markpeloquin (Bugzilla)
I've been having problems building ports in -current with the new
WANTLIB formats.  I just noticed a commit from late November saying I
need -current {dpb, sqlports, pkg_add}, and I had updated the base
system to -current:
http://marc.info/?l=openbsd-ports-cvs&m=128973351720992&w=1

$ cd devel/gettext
# make package
===>  Checking files for gettext-0.18.1p0
`/usr/ports/distfiles/gettext-0.18.1.tar.gz' is up to date.
 >> (SHA256) gettext-0.18.1.tar.gz: OK
===>  Verifying specs: c expat m ncurses stdc++ iconv>=2 c expat m
ncurses stdc++ iconv>=2
Missing library for iconv>=2.>=0.0
Fatal error
*** Error code 1
[...]

And here are the WANTLIB lines that seem relevant, at least to me:

$ grep WANTLIB devel/gettext/gettext.port.mk
MODGETTEXT_WANTLIB =            intl>=5 iconv>=6
WANTLIB +=              ${MODGETTEXT_WANTLIB}

$ grep WANTLIB converters/libiconv/libiconv.port.mk
MODLIBICONV_WANTLIB =           iconv>=2
WANTLIB +=                      ${MODLIBICONV_WANTLIB}

Does anybody know what might be going wrong?  It's hard to imagine I
discovered a 1.5-mo-old bug.  Thanks

Markus

Reply | Threaded
Open this post in threaded view
|

Re: New WANTLIB formats in ports

Marc Espie-2
On Fri, Dec 31, 2010 at 07:04:14PM -0600, Markus Peloquin wrote:

> I've been having problems building ports in -current with the new
> WANTLIB formats.  I just noticed a commit from late November saying
> I need -current {dpb, sqlports, pkg_add}, and I had updated the base
> system to -current:
> http://marc.info/?l=openbsd-ports-cvs&m=128973351720992&w=1
>
> $ cd devel/gettext
> # make package
> ===>  Checking files for gettext-0.18.1p0
> `/usr/ports/distfiles/gettext-0.18.1.tar.gz' is up to date.
> >> (SHA256) gettext-0.18.1.tar.gz: OK
> ===>  Verifying specs: c expat m ncurses stdc++ iconv>=2 c expat m
> ncurses stdc++ iconv>=2
> Missing library for iconv>=2.>=0.0
> Fatal error
> *** Error code 1
> [...]
>
> And here are the WANTLIB lines that seem relevant, at least to me:
>
> $ grep WANTLIB devel/gettext/gettext.port.mk
> MODGETTEXT_WANTLIB =            intl>=5 iconv>=6
> WANTLIB +=              ${MODGETTEXT_WANTLIB}
>
> $ grep WANTLIB converters/libiconv/libiconv.port.mk
> MODLIBICONV_WANTLIB =           iconv>=2
> WANTLIB +=                      ${MODLIBICONV_WANTLIB}
>
> Does anybody know what might be going wrong?  It's hard to imagine I
> discovered a 1.5-mo-old bug.  Thanks
>
> Markus
Your pkg_add is definitely not uptodate. In particular, check
OpenBSD/LibSpec/Build.pm

Reply | Threaded
Open this post in threaded view
|

Re: New WANTLIB formats in ports

markpeloquin (Bugzilla)
On 2011-01-01 07:30, Marc Espie wrote:

> On Fri, Dec 31, 2010 at 07:04:14PM -0600, Markus Peloquin wrote:
>> I've been having problems building ports in -current with the new
>> WANTLIB formats.  I just noticed a commit from late November saying
>> I need -current {dpb, sqlports, pkg_add}, and I had updated the base
>> system to -current:
>> http://marc.info/?l=openbsd-ports-cvs&m=128973351720992&w=1
>>
>> $ cd devel/gettext
>> # make package
>> ===>   Checking files for gettext-0.18.1p0
>> `/usr/ports/distfiles/gettext-0.18.1.tar.gz' is up to date.
>>>> (SHA256) gettext-0.18.1.tar.gz: OK
>> ===>   Verifying specs: c expat m ncurses stdc++ iconv>=2 c expat m
>> ncurses stdc++ iconv>=2
>> Missing library for iconv>=2.>=0.0
>> Fatal error
>> *** Error code 1
>> [...]
>>
>> And here are the WANTLIB lines that seem relevant, at least to me:
>>
>> $ grep WANTLIB devel/gettext/gettext.port.mk
>> MODGETTEXT_WANTLIB =            intl>=5 iconv>=6
>> WANTLIB +=              ${MODGETTEXT_WANTLIB}
>>
>> $ grep WANTLIB converters/libiconv/libiconv.port.mk
>> MODLIBICONV_WANTLIB =           iconv>=2
>> WANTLIB +=                      ${MODLIBICONV_WANTLIB}
>>
>> Does anybody know what might be going wrong?  It's hard to imagine I
>> discovered a 1.5-mo-old bug.  Thanks
>>
>> Markus
> Your pkg_add is definitely not uptodate. In particular, check
> OpenBSD/LibSpec/Build.pm
Thanks, I don't know why that wasn't updated...